Kompatibilität zu anderen Plugins

Allgemeines

DigiMember versucht sich innerhalb von WordPress möglichst breit aufzustellen. Damit werden die meisten Plugins & Themes problemlos unterstützt. Es kann jedoch immer mal zu Problemen kommen, welche sehr speziell mit einem Plugin / Theme zusammenhängen.

In diesem Abschnitt haben wir daher eine kleine Liste von extra Plugins eingerichtet, welche diese Probleme im Speziellen beheben.

Sollte dein Plugin / Theme nicht dabei sein, schreib uns gerne eine E-Mail an support@digimember.de und wir werden sehen, was sich machen lässt.

Astra Theme

Im Astra Theme werden bei einem Menü mit dem Zusatz Falls eingeloggt, keine Untermenüs unterstüzt. Das folgende kleine Zusatzplugin, behebt das Problem.

---> Download <---

CopeCart

Um DigiMember auch mit CopeCart nutzen zu können, gibt es ein externes Plugin von CopeCart.

Link zur DigiMember Integration von CopeCart & Anleitung

Hinweis: Es handelt sich nicht um eine von DigiMember entwickelte Integration, sondern sie wird von CopeCart bereit gestellt.

Divi Theme

Wenn du Blogbeiträge mit dem Shortcode [ds_preview] schützt, dann wird das nicht erkannt, wenn du eine Blogübersichts-Seite mit Divi erstellst. In diesem Fall sollte der Text vor diesem Shortcode größer sein, als die Vorschau auf der Blog-Übersichtsseite. Beim Anklicken des Blogbeitrags greift der Shortcode dann ganz normal.

Divi's Page Builder lässt leider nicht zu, dass ganze Sektionen einfach durch Shortcodes geschützt werden können. Daher haben wir eine kleine Extension entwickelt, welche das Schützen von Section und Row elementen direkt im Divi Editor erlaubt.

---> Download <---

Elementor

Für eine bessere Zusammenarbeit zwischen DigiMember und dem Pagebuilder Elementor haben wir ein kleines Zusatzplugin entwickelt, welches zum einen das bequeme Einfügen und Verwenden einiger DigiMember Shortcodes direkt im Elementor Builder erlaubt sondern es auch möglich macht Elementortemplates als Fehlerseiten zu verwenden.

Um die einzelnen Funktionen etwas besser zu erklären haben wir hier einige Videos für Dich hinterlegt, die Du Dir vor der ersten Installation oder bei Fragen gerne ansehen kannst.

Wir haben dieses Zusatzplugin zusammen mit der Elementor Version 3.0.14 erarbeitet.
Wir können nicht garantieren, dass dieses Plugin mit allen kommenden Updates von Elementor kompatibel bleiben wird. Sollte es zu Schwieirgkeiten kommen schreibe uns gerne eine E-Mail an support@digimember.de mit der von Dir verwendeten Elementorversion. Wir werden dies dann prüfen und wenn möglich nachbessern.
Allgemein würden wir jedoch dazu raten, vor einer Aktualisierung ein Backup Deiner Seite anzulegen um bei etwaigen Schwierigkeiten dieses einspielen zu können.

---> Download <---

eLearnCommerce

Für eLearnCommerce gibt es eine passende DigiMember Integration, die die beiden Plugins noch besser miteinander kommunizieren lässt. Dadurch ist es problemlos möglich, die in eLearnCommerce erstellten Inhalte mit DigiMember zu schützen und auch Feature wie die zeitversetze Freischaltung von Inhalten ist hiermit dann möglich.

Link zur DigiMember Intergration von eLearnCommerce

Hinweis: Es handelt sich nicht um eine von DigiMember entwickelte Integration, sondern sie wird von eLearnCommerce bereit gestellt.

Ninja Forms

Durch dieses kleine Zusatzplugin kann man beim ausfüllen eines Ninja Forms direkt ein Produkt vergeben und so beispielsweise auch direkt die Zugangsdaten per E-Mail verschicken lassen.

Die Einstellungen hierzu finden Sie nach Aktivierung es Zusatzplugins im Ninja Forms Plugin unter Einstellungen > DigiMember Integration .

---> Download <---

Thrive Apprentice

Durch dieses kleine Zusatzplugin wird es möglich auch ganze Thrive Apprentice Kurse zu schützen.

Wichtig: Der Schutz der Kurse erfolgt nicht wie gewohnt über das DigiMember > Inhalte Menü.

Bitte ordnen Sie hier keine Module, Kapitel oder Lektionen einem Produkt zu. Stattdessen geschieht die Zuordnung über die "Access Restrictions" in dem jeweiligen Kurs.

Leider funktionieren keine DigiMember Shortcodes in der von Thrive erstellten Fehlermeldung, dies liegt jedoch an der Programmierung von Thrive selbst.

Hinweis (Stand 02.12.2020):

Wir konnten ein Update dieses Kompatibilitätsplugins entwickeln, welches mit der neusten Thrive Apprentice Version 2.3.5.2 vertäglich ist und die jüngsten Schwieirgkeiten behebt. Da wir selbst keinerlei Einfluss auf die Entwicklung von Thrive Apprentice haben können wir leider immer nur, sobald eine neue Version hiervon veröffentlich wurde, prüfen ob diese Auswirkungen auf die Kompatibilität mit DigiMember hat und ggf. dann Anpassungen vornehmen. Insbesondere können wir im Vorhinein nicht garantieren, dass DigiMember und das Kompatibilitätsplugin nach einem beliebigen Update von Thrive Apprentice noch vollständig funktional sind. Wir können deshalb nicht garantieren, dass es auch in Zukunft möglich sein wird, über dieses Plugin die Kompatibilität von DigiMember mit neuen Thrive Apprentice Versionen zu erreichen und müssten in einem schlechten Fall den Support für dieses Plugin bei neueren Versionen dann einstellen.
Wir empfehlen daher, vor einem Update jeweils ein Backup Deiner Seite anzulegen um das Update ggf. rückgängig machen zu können.

--> Download <--

1&1 IONOS

Der "Managed Mode" von 1&1 IONOS blockiert im Admin-Bereich für DigiMember wichtige Cookies. Dies führt dazu, dass DigiMember nicht mehr in vollem Umfang genutzt werden kann.

Mehr Infos erhältst du hier.

Wir haben ein kleines Zusatzplugin erstellt, mit dem die Funktion wiederhergestellt wird.

Wichtig: Das Plugin deaktiviert einen Teilaspekt der IONOS Plugins. Wir übernehmen keinerlei Haftung für evtl. entstehende Schäden durch das Zusatzplugin. du installierst es auf deine eigene Verantwortung.

---> Download <---